summaryrefslogtreecommitdiffstats
path: root/development/nexus/files
diff options
context:
space:
mode:
Diffstat (limited to 'development/nexus/files')
-rw-r--r--development/nexus/files/nexus.properties14
-rw-r--r--development/nexus/files/rc.nexus517
-rw-r--r--development/nexus/files/wrapper.conf157
3 files changed, 688 insertions, 0 deletions
diff --git a/development/nexus/files/nexus.properties b/development/nexus/files/nexus.properties
new file mode 100644
index 0000000000..49dcebef1a
--- /dev/null
+++ b/development/nexus/files/nexus.properties
@@ -0,0 +1,14 @@
+# Sonatype Nexus
+# ==============
+# This is the most basic configuration of Nexus.
+
+# Jetty section
+application-port=8081
+application-host=0.0.0.0
+nexus-webapp=${bundleBasedir}/nexus
+nexus-webapp-context-path=/nexus
+
+# Nexus section
+nexus-work=/var/lib/nexus
+runtime=${bundleBasedir}/nexus/WEB-INF
+
diff --git a/development/nexus/files/rc.nexus b/development/nexus/files/rc.nexus
new file mode 100644
index 0000000000..5eb81d8feb
--- /dev/null
+++ b/development/nexus/files/rc.nexus
@@ -0,0 +1,517 @@
+#! /bin/sh
+
+#
+# Copyright (c) 1999, 2006 Tanuki Software Inc.
+#
+# Java Service Wrapper sh script. Suitable for starting and stopping
+# wrapped Java applications on UNIX platforms.
+#
+
+#-----------------------------------------------------------------------------
+# These settings can be modified to fit the needs of your application
+
+# If specified, the Wrapper will be run as the specified user.
+
+# IMPORTANT - Make sure that the user has the required privileges to write into the Nexus installation directory.
+
+# NOTE - This will set the user which is used to run the Wrapper as well as
+# the JVM and is not useful in situations where a privileged resource or
+# port needs to be allocated prior to the user being changed.
+RUN_AS_USER=nexus
+
+# Application
+APP_NAME="nexus"
+APP_LONG_NAME="Nexus OSS"
+
+# Wrapper
+WRAPPER_CMD="/usr/share/nexus/bin/jsw/@NEXUS_ARCH@/wrapper"
+WRAPPER_CONF="/usr/share/nexus/bin/jsw/conf/wrapper.conf"
+
+# Priority at which to run the wrapper. See "man nice" for valid priorities.
+# nice is only used if a priority is specified.
+PRIORITY=
+
+# Location of the pid file.
+PIDDIR="/var/run/nexus"
+
+# If uncommented, causes the Wrapper to be shutdown using an anchor file.
+# When launched with the 'start' command, it will also ignore all INT and
+# TERM signals.
+#IGNORE_SIGNALS=true
+
+# The following two lines are used by the chkconfig command. Change as is
+# appropriate for your application. They should remain commented.
+# chkconfig: 2345 20 80
+# description: Test Wrapper Sample Application
+
+# Do not modify anything beyond this point
+#-----------------------------------------------------------------------------
+
+# Get the fully qualified path to the script
+case $0 in
+ /*)
+ SCRIPT="$0"
+ ;;
+ *)
+ PWD=`pwd`
+ SCRIPT="$PWD/$0"
+ ;;
+esac
+
+# Resolve the true real path without any sym links.
+CHANGED=true
+while [ "X$CHANGED" != "X" ]
+do
+ # Change spaces to ":" so the tokens can be parsed.
+ SAFESCRIPT=`echo $SCRIPT | sed -e 's; ;:;g'`
+ # Get the real path to this script, resolving any symbolic links
+ TOKENS=`echo $SAFESCRIPT | sed -e 's;/; ;g'`
+ REALPATH=
+ for C in $TOKENS; do
+ # Change any ":" in the token back to a space.
+ C=`echo $C | sed -e 's;:; ;g'`
+ REALPATH="$REALPATH/$C"
+ # If REALPATH is a sym link, resolve it. Loop for nested links.
+ while [ -h "$REALPATH" ] ; do
+ LS="`ls -ld "$REALPATH"`"
+ LINK="`expr "$LS" : '.*-> \(.*\)$'`"
+ if expr "$LINK" : '/.*' > /dev/null; then
+ # LINK is absolute.
+ REALPATH="$LINK"
+ else
+ # LINK is relative.
+ REALPATH="`dirname "$REALPATH"`""/$LINK"
+ fi
+ done
+ done
+
+ if [ "$REALPATH" = "$SCRIPT" ]
+ then
+ CHANGED=""
+ else
+ SCRIPT="$REALPATH"
+ fi
+done
+
+# Change the current directory to the location of the script
+cd "`dirname "$REALPATH"`"
+REALDIR=`pwd`
+
+# Resolve the location of the 'ps' command
+PSEXE="/usr/bin/ps"
+if [ ! -x "$PSEXE" ]
+then
+ PSEXE="/bin/ps"
+ if [ ! -x "$PSEXE" ]
+ then
+ echo "Unable to locate 'ps'."
+ echo "Please report this message along with the location of the command on your system."
+ exit 1
+ fi
+fi
+
+# Resolve the os
+DIST_OS=`uname -s | tr [:upper:] [:lower:] | tr -d [:blank:]`
+case "$DIST_OS" in
+ 'sunos')
+ DIST_OS="solaris"
+ ;;
+ 'hp-ux' | 'hp-ux64')
+ DIST_OS="hpux"
+ ;;
+ 'darwin')
+ DIST_OS="macosx"
+ ;;
+ 'unix_sv')
+ DIST_OS="unixware"
+ ;;
+esac
+
+# Resolve the architecture
+DIST_ARCH=`uname -p | tr [:upper:] [:lower:] | tr -d [:blank:]`
+if [ "$DIST_ARCH" = "unknown" ]
+then
+ DIST_ARCH=`uname -m | tr [:upper:] [:lower:] | tr -d [:blank:]`
+fi
+case "$DIST_ARCH" in
+ 'amd64' | 'athlon' | 'ia32' | 'ia64' | 'i386' | 'i486' | 'i586' | 'i686' | 'x86_64')
+ DIST_ARCH="x86"
+ ;;
+ 'ip27')
+ DIST_ARCH="mips"
+ ;;
+ 'power' | 'powerpc' | 'power_pc' | 'ppc64')
+ DIST_ARCH="ppc"
+ ;;
+ 'pa_risc' | 'pa-risc')
+ DIST_ARCH="parisc"
+ ;;
+ 'sun4u' | 'sparcv9')
+ DIST_ARCH="sparc"
+ ;;
+ '9000/800')
+ DIST_ARCH="parisc"
+ ;;
+esac
+
+outputFile() {
+ if [ -f "$1" ]
+ then
+ echo " $1 (Found but not executable.)";
+ else
+ echo " $1"
+ fi
+}
+
+# Default PIDDIR to current directory
+if [ "X$PIDDIR" = "X" ]
+then
+ PIDDIR="."
+fi
+
+# If the PIDDIR is relative, set its value relative to the full REALPATH to avoid problems if
+# the working directory is later changed.
+FIRST_CHAR=`echo $PIDDIR | cut -c1,1`
+if [ "$FIRST_CHAR" != "/" ]
+then
+ PIDDIR=$REALDIR/$PIDDIR
+fi
+# Same test for WRAPPER_CMD
+FIRST_CHAR=`echo $WRAPPER_CMD | cut -c1,1`
+if [ "$FIRST_CHAR" != "/" ]
+then
+ WRAPPER_CMD=$REALDIR/$WRAPPER_CMD
+fi
+# Same test for WRAPPER_CONF
+FIRST_CHAR=`echo $WRAPPER_CONF | cut -c1,1`
+if [ "$FIRST_CHAR" != "/" ]
+then
+ WRAPPER_CONF=$REALDIR/$WRAPPER_CONF
+fi
+
+# Process ID
+ANCHORFILE="$PIDDIR/$APP_NAME.anchor"
+PIDFILE="$PIDDIR/$APP_NAME.pid"
+LOCKDIR="/var/lock/subsys"
+LOCKFILE="$LOCKDIR/$APP_NAME"
+pid=""
+
+if [ ! -x "$WRAPPER_CMD" ]; then
+ echo "Missing platform binary: $WRAPPER_CMD"
+ exit 1
+fi
+
+# Build the nice clause
+if [ "X$PRIORITY" = "X" ]
+then
+ CMDNICE=""
+else
+ CMDNICE="nice -$PRIORITY"
+fi
+
+# Build the anchor file clause.
+if [ "X$IGNORE_SIGNALS" = "X" ]
+then
+ ANCHORPROP=
+ IGNOREPROP=
+else
+ ANCHORPROP=wrapper.anchorfile=\"$ANCHORFILE\"
+ IGNOREPROP=wrapper.ignore_signals=TRUE
+fi
+
+# Build the lock file clause. Only create a lock file if the lock directory exists on this platform.
+LOCKPROP=
+if [ -d $LOCKDIR ]
+then
+ if [ -w $LOCKDIR ]
+ then
+ LOCKPROP=wrapper.lockfile=\"$LOCKFILE\"
+ fi
+fi
+
+checkUser() {
+ # $1 touchLock flag
+ # $2 command
+
+ # Resolve the location of the 'id' command
+ IDEXE="/usr/xpg4/bin/id"
+ if [ ! -x "$IDEXE" ]
+ then
+ IDEXE="/usr/bin/id"
+ if [ ! -x "$IDEXE" ]
+ then
+ echo "Unable to locate 'id'."
+ echo "Please report this message along with the location of the command on your system."
+ exit 1
+ fi
+ fi
+
+ # Check the configured user. If necessary rerun this script as the desired user.
+ if [ "X$RUN_AS_USER" != "X" ]
+ then
+ if [ "`$IDEXE -u -n`" != "$RUN_AS_USER" ]
+ then
+ # If LOCKPROP and $RUN_AS_USER are defined then the new user will most likely not be
+ # able to create the lock file. The Wrapper will be able to update this file once it
+ # is created but will not be able to delete it on shutdown. If $2 is defined then
+ # the lock file should be created for the current command
+ if [ "X$LOCKPROP" != "X" ]
+ then
+ if [ "X$1" != "X" ]
+ then
+ # Resolve the primary group
+ RUN_AS_GROUP=`groups $RUN_AS_USER | awk '{print $3}' | tail -1`
+ if [ "X$RUN_AS_GROUP" = "X" ]
+ then
+ RUN_AS_GROUP=$RUN_AS_USER
+ fi
+ touch $LOCKFILE
+ chown $RUN_AS_USER:$RUN_AS_GROUP $LOCKFILE
+ fi
+ fi
+
+ # Still want to change users, recurse. This means that the user will only be
+ # prompted for a password once. Variables shifted by 1
+ su -m $RUN_AS_USER -c "\"$REALPATH\" $2"
+
+ # Now that we are the original user again, we may need to clean up the lock file.
+ if [ "X$LOCKPROP" != "X" ]
+ then
+ getpid
+ if [ "X$pid" = "X" ]
+ then
+ # Wrapper is not running so make sure the lock file is deleted.
+ if [ -f "$LOCKFILE" ]
+ then
+ rm "$LOCKFILE"
+ fi
+ fi
+ fi
+
+ exit 0
+ fi
+ fi
+
+ # Check that script is not run as root
+ LUID=`$IDEXE -u`
+ if [ $LUID -eq 0 ]
+ then
+ echo "****************************************"
+ echo "WARNING - NOT RECOMMENDED TO RUN AS ROOT"
+ echo "****************************************"
+ if [ ! "`$IDEXE -u -n`" = "$RUN_AS_USER" ]
+ then
+ echo "If you insist running as root, then set the environment variable RUN_AS_USER=root before running this script."
+ exit 1
+ fi
+ fi
+}
+
+getpid() {
+ if [ -f "$PIDFILE" ]
+ then
+ if [ -r "$PIDFILE" ]
+ then
+ pid=`cat "$PIDFILE"`
+ if [ "X$pid" != "X" ]
+ then
+ # It is possible that 'a' process with the pid exists but that it is not the
+ # correct process. This can happen in a number of cases, but the most
+ # common is during system startup after an unclean shutdown.
+ # The ps statement below looks for the specific wrapper command running as
+ # the pid. If it is not found then the pid file is considered to be stale.
+ pidtest=`$PSEXE -p $pid -o args | grep "wrapper.pidfile" | tail -1`
+ if [ "X$pidtest" = "X" ]
+ then
+ # This is a stale pid file.
+ rm -f "$PIDFILE"
+ echo "Removed stale pid file: $PIDFILE"
+ pid=""
+ fi
+ fi
+ else
+ echo "Cannot read $PIDFILE."
+ exit 1
+ fi
+ fi
+}
+
+testpid() {
+ pid=`$PSEXE -p $pid | grep $pid | grep -v grep | awk '{print $1}' | tail -1`
+ if [ "X$pid" = "X" ]
+ then
+ # Process is gone so remove the pid file.
+ rm -f "$PIDFILE"
+ pid=""
+ fi
+}
+
+console() {
+ echo "Running $APP_LONG_NAME..."
+ getpid
+ if [ "X$pid" = "X" ]
+ then
+ # The string passed to eval must handles spaces in paths correctly.
+ COMMAND_LINE="$CMDNICE \"$WRAPPER_CMD\" \"$WRAPPER_CONF\" wrapper.syslog.ident=$APP_NAME wrapper.pidfile=\"$PIDFILE\" $ANCHORPROP $LOCKPROP"
+ eval $COMMAND_LINE
+ else
+ echo "$APP_LONG_NAME is already running."
+ exit 1
+ fi
+}
+
+start() {
+ echo "Starting $APP_LONG_NAME..."
+ getpid
+ if [ "X$pid" = "X" ]
+ then
+ # The string passed to eval must handles spaces in paths correctly.
+ COMMAND_LINE="$CMDNICE \"$WRAPPER_CMD\" \"$WRAPPER_CONF\" wrapper.syslog.ident=$APP_NAME wrapper.pidfile=\"$PIDFILE\" wrapper.daemonize=TRUE $ANCHORPROP $IGNOREPROP $LOCKPROP"
+ eval $COMMAND_LINE
+ else
+ echo "$APP_LONG_NAME is already running."
+ exit 1
+ fi
+ getpid
+ if [ "X$pid" != "X" ]
+ then
+ echo "Started $APP_LONG_NAME."
+ else
+ echo "Failed to start $APP_LONG_NAME."
+ fi
+}
+
+stopit() {
+ echo "Stopping $APP_LONG_NAME..."
+ getpid
+ if [ "X$pid" = "X" ]
+ then
+ echo "$APP_LONG_NAME was not running."
+ else
+ if [ "X$IGNORE_SIGNALS" = "X" ]
+ then
+ # Running so try to stop it.
+ kill $pid
+ if [ $? -ne 0 ]
+ then
+ # An explanation for the failure should have been given
+ echo "Unable to stop $APP_LONG_NAME."
+ exit 1
+ fi
+ else
+ rm -f "$ANCHORFILE"
+ if [ -f "$ANCHORFILE" ]
+ then
+ # An explanation for the failure should have been given
+ echo "Unable to stop $APP_LONG_NAME."
+ exit 1
+ fi
+ fi
+
+ # We can not predict how long it will take for the wrapper to
+ # actually stop as it depends on settings in wrapper.conf.
+ # Loop until it does.
+ savepid=$pid
+ CNT=0
+ TOTCNT=0
+ while [ "X$pid" != "X" ]
+ do
+ # Show a waiting message every 5 seconds.
+ if [ "$CNT" -lt "5" ]
+ then
+ CNT=`expr $CNT + 1`
+ else
+ echo "Waiting for $APP_LONG_NAME to exit..."
+ CNT=0
+ fi
+ TOTCNT=`expr $TOTCNT + 1`
+
+ sleep 1
+
+ testpid
+ done
+
+ pid=$savepid
+ testpid
+ if [ "X$pid" != "X" ]
+ then
+ echo "Failed to stop $APP_LONG_NAME."
+ exit 1
+ else
+ echo "Stopped $APP_LONG_NAME."
+ fi
+ fi
+}
+
+status() {
+ getpid
+ if [ "X$pid" = "X" ]
+ then
+ echo "$APP_LONG_NAME is not running."
+ exit 1
+ else
+ echo "$APP_LONG_NAME is running ($pid)."
+ exit 0
+ fi
+}
+
+dump() {
+ echo "Dumping $APP_LONG_NAME..."
+ getpid
+ if [ "X$pid" = "X" ]
+ then
+ echo "$APP_LONG_NAME was not running."
+
+ else
+ kill -3 $pid
+
+ if [ $? -ne 0 ]
+ then
+ echo "Failed to dump $APP_LONG_NAME."
+ exit 1
+ else
+ echo "Dumped $APP_LONG_NAME."
+ fi
+ fi
+}
+
+case "$1" in
+
+ 'console')
+ checkUser touchlock $1
+ console
+ ;;
+
+ 'start')
+ checkUser touchlock $1
+ start
+ ;;
+
+ 'stop')
+ checkUser "" $1
+ stopit
+ ;;
+
+ 'restart')
+ checkUser touchlock $1
+ stopit
+ start
+ ;;
+
+ 'status')
+ checkUser "" $1
+ status
+ ;;
+
+ 'dump')
+ checkUser "" $1
+ dump
+ ;;
+
+ *)
+ echo "Usage: $0 { console | start | stop | restart | status | dump }"
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/development/nexus/files/wrapper.conf b/development/nexus/files/wrapper.conf
new file mode 100644
index 0000000000..2fe62598a6
--- /dev/null
+++ b/development/nexus/files/wrapper.conf
@@ -0,0 +1,157 @@
+# JSW Configuration file
+#
+# For complete coverage of available configuration, please go here:
+# http://wrapper.tanukisoftware.org/doc/english/properties.html
+#
+# Some "most often used" keywords are added to end of this file
+# to be used as a "guideline". They are NOT the complete list of
+# keywords.
+
+# Set the JSW working directory (used as base for resolving relative paths)
+wrapper.working.dir=/usr/share/nexus
+
+# Set the JVM executable
+# (modify this to absolute path if you need a Java that is not on the OS path)
+wrapper.java.command=%JAVA_HOME%/bin/java
+
+# The main class that JSW will execute within JVM
+wrapper.java.mainclass=org.codehaus.plexus.classworlds.launcher.Launcher
+
+# The JVM classpath
+wrapper.java.classpath.1=bin/jsw/lib/wrapper-3.2.3.jar
+wrapper.java.classpath.2=./lib/plexus-classworlds-*.jar
+wrapper.java.classpath.3=./conf/
+
+# The library path
+wrapper.java.library.path.1=bin/jsw/lib
+
+# Additional JVM parameters (tune if needed, but match the sequence of numbers!)
+wrapper.java.additional.1=-Dsun.net.inetaddr.ttl=3600
+wrapper.java.additional.2=-DbundleBasedir=.
+wrapper.java.additional.3=-Djava.io.tmpdir=./tmp
+wrapper.java.additional.4=-DjettyContext=nexus.properties
+wrapper.java.additional.5=-DjettyContextIncludeKeys=bundleBasedir
+wrapper.java.additional.6=-DjettyPlexusCompatibility=true
+#wrapper.java.additional.7=-Xdebug
+#wrapper.java.additional.8=-Xnoagent
+#wrapper.java.additional.9=-Djava.compiler=NONE
+#wrapper.java.additional.10=-Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+#wrapper.java.additional.11=-XX:+HeapDumpOnOutOfMemoryError
+
+wrapper.app.parameter.1=./conf/jetty.xml
+
+# Size Java memory, in MB (-Xms)
+#wrapper.java.initmemory=128
+# Size Java memory, in MB (-Xmx)
+#wrapper.java.maxmemory=256
+
+# How much to wait for JVM to respond to "ping" (increase on slower machines and VMs if needed)
+wrapper.ping.timeout=90
+# How much to wait for application to start up (increase on slower machines if needed)
+wrapper.startup.timeout=90
+
+# Make wrapper reload configuration between app restarts
+# and set exit code 12 as "RESTART" command
+wrapper.restart.reload_configuration=TRUE
+wrapper.on_exit.12=RESTART
+
+# Set up JSW logging
+wrapper.logfile=logs/wrapper.log
+wrapper.logfile.format=PM
+wrapper.logfile.loglevel=INFO
+wrapper.logfile.maxsize=10m
+wrapper.logfile.maxfiles=10
+
+# Set up system logging (if needed, change to INFO or other valid values)
+wrapper.syslog.loglevel=NONE
+
+# Set up JSW Console
+wrapper.console.title=Nexus OSS
+wrapper.console.format=PM
+wrapper.console.loglevel=INFO
+wrapper.console.flush=true
+
+# =============================================
+# An example wrapper.conf file is included
+# below for quick reference
+# =============================================
+
+# ********************************************************************
+# Wrapper Java Properties
+# ********************************************************************
+# Java Application
+#wrapper.java.command=java
+
+# Tell the Wrapper to log the full generated Java command line.
+#wrapper.java.command.loglevel=INFO
+
+# Java Main class. This class must implement the WrapperListener interface
+# or guarantee that the WrapperManager class is initialized. Helper
+# classes are provided to do this for you. See the Integration section
+# of the documentation for details.
+#wrapper.java.mainclass=org.tanukisoftware.wrapper.WrapperSimpleApp
+
+# Java Classpath (include wrapper.jar) Add class path elements as
+# needed starting from 1
+#wrapper.java.classpath.1=../lib/wrapper.jar
+
+# Java Library Path (location of Wrapper.DLL or libwrapper.so)
+#wrapper.java.library.path.1=../lib
+
+# Java Bits. On applicable platforms, tells the JVM to run in 32 or 64-bit mode.
+#wrapper.java.additional.auto_bits=TRUE
+
+# Java Additional Parameters
+#wrapper.java.additional.1=
+
+# Initial Java Heap Size (in MB)
+#wrapper.java.initmemory=3
+
+# Maximum Java Heap Size (in MB)
+#wrapper.java.maxmemory=64
+
+# Application parameters. Add parameters as needed starting from 1
+#wrapper.app.parameter.1=<YourMainClass>
+
+# ********************************************************************
+# Wrapper Logging Properties
+# ********************************************************************
+# Enables Debug output from the Wrapper.
+#wrapper.debug=TRUE
+
+# Format of output for the console. (See docs for formats)
+#wrapper.console.format=PM
+
+# Log Level for console output. (See docs for log levels)
+#wrapper.console.loglevel=INFO
+
+# Log file to use for wrapper output logging.
+#wrapper.logfile=../logs/wrapper.log
+
+# Format of output for the log file. (See docs for formats)
+#wrapper.logfile.format=LPTM
+
+# Log Level for log file output. (See docs for log levels)
+#wrapper.logfile.loglevel=INFO
+
+# Maximum size that the log file will be allowed to grow to before
+# the log is rolled. Size is specified in bytes. The default value
+# of 0, disables log rolling. May abbreviate with the 'k' (kb) or
+# 'm' (mb) suffix. For example: 10m = 10 megabytes.
+#wrapper.logfile.maxsize=0
+
+# Maximum number of rolled log files which will be allowed before old
+# files are deleted. The default value of 0 implies no limit.
+#wrapper.logfile.maxfiles=0
+
+# Log Level for sys/event log output. (See docs for log levels)
+#wrapper.syslog.loglevel=NONE
+
+# ********************************************************************
+# Wrapper General Properties
+# ********************************************************************
+# Allow for the use of non-contiguous numbered properties
+#wrapper.ignore_sequence_gaps=TRUE
+
+# Title to use when running as a console
+#wrapper.console.title=@app.long.name@